Skip to main content
`Ctrl`+`K`

# PCBJKOKKOSSetKSP

Sets the `KSP` context for `PCBJKOKKOS`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCBJKOKKOSSetKSP(PC pc, KSP ksp)

Collective

## Input Parameters

- pc - the `PCBJKOKKOS` preconditioner context

- ksp - the `KSP` solver

## Notes

The `PC` and the `KSP` must have the same communicator

If the `PC` is not `PCBJKOKKOS` this function returns without doing anything

## See Also

KSP: Linear System Solvers, `PCBJKOKKOSGetKSP()`, `PCBJKOKKOS`

## Level

advanced

## Location

src/ksp/pc/impls/bjacobi/bjkokkos/bjkokkos.kokkos.cxx

## Implementations

PCBJKOKKOSSetKSP_BJKOKKOS() in src/ksp/pc/impls/bjacobi/bjkokkos/bjkokkos.kokkos.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages